# Created by pyp2rpm-3.3.5
%global pypi_name ansible_core

%global tarball_version %%(echo %{version} | tr -d '~')

Name:           python-%{pypi_name}
Version:        2.14.17
Release:        %mkrel 1
Summary:        Radically simple IT automation
Group:          Development/Python
License:        GPLv3+
URL:            https://ansible.com/
Source0:        %{pypi_source %{pypi_name} %{tarball_version}}
# Patch1:         0001-ansible-galaxy-support-resolvelib-0.5.3-0.10.0-79399.patch
Patch501:	ansible-core-reqs.patch
BuildArch:      noarch
BuildRequires:  pyproject-rpm-macros
BuildRequires:  python3-devel

%description
Ansible is a radically simple IT automation system. It handles configuration
management, application deployment, cloud provisioning, ad-hoc task execution,
network automation, and multi-node orchestration. Ansible makes complex changes
like zero-downtime rolling updates with load balancers easy.

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}
%{?python_provide:%python_provide python3-ansible-base}
%{?py_provides:%py_provides python3-ansible-base}
Provides:	ansible-core = %{version}-%{release}
Provides:	ansible-base = %{version}-%{release}
Conflicts:	ansible < 7.0.1

%description -n python3-%{pypi_name}
Ansible is a radically simple IT automation system. It handles configuration
management, application deployment, cloud provisioning, ad-hoc task execution,
network automation, and multi-node orchestration. Ansible makes complex changes
like zero-downtime rolling updates with load balancers easy.

%prep
%autosetup -n %{pypi_name}-%{tarball_version} -p1

%py3_shebang_fix test/lib/ansible_test/_util/target/cli/ansible_test_cli_stub.py

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files ansible ansible_test

%files -n python3-%{pypi_name} -f %{pyproject_files}
%license licenses/*{L,l}icense.txt
%doc README.md
%{_bindir}/ansible
%{_bindir}/ansible-config
%{_bindir}/ansible-connection
%{_bindir}/ansible-console
%{_bindir}/ansible-doc
%{_bindir}/ansible-galaxy
%{_bindir}/ansible-inventory
%{_bindir}/ansible-playbook
%{_bindir}/ansible-pull
%{_bindir}/ansible-test
%{_bindir}/ansible-vault


%changelog
* Mon Jun 24 2024 papoteur <papoteur> 2.14.17-1.mga9
+ Revision: 2076360
- new version 2.14.17 for CVE-2024-0690 (mga#33171)

* Thu Jan 26 2023 wally <wally> 2.14.2~rc1-3.mga9
+ Revision: 1936306
- conflict with older ansible (mga#31456)

* Thu Jan 26 2023 wally <wally> 2.14.2~rc1-2.mga9
+ Revision: 1936279
- add provides for ansible-core and -base

* Thu Jan 26 2023 wally <wally> 2.14.2~rc1-1.mga9
+ Revision: 1936268
- new version 2.14.2rc1

* Mon Jan 09 2023 papoteur <papoteur> 2.14.1-1.mga9
+ Revision: 1931966
- imported package python-ansible-core

